User Tools

Site Tools


linux:install:centos-latitude5400

CentOS 6.5 on DELL Latitude E5400

Samba

Acess to my Samba share at /home/share was denied by SELinux. Therefore i added the following line to file /etc/selinux/targeted/contexts/files/file_contexts.local:1)

/home/share(/.*)?    system_u:object_r:samba_share_t:s0

Eclipse

CDT did not work after installing Eclipse. But a workaround exist by installing eclipse-pde (Eclipse Plugin Development Environment).

yum install eclipse-pde

PC/SC

For the german electronic tax declaration system Elster the following CentOS packages were too old: pcsc-lite-* and ccid-*. So i did download ccid-1.4.12 and pcsc-lite-1.8.8 from the project homepage. Configuration and build was performed the standard way:

.../pcsc-lite-1.8.8 > ./configure; make; make install
.../ccid-1.4.12 > ./configure --enable-udev PCSC_CFLAGS=-I/usr/local/include/PCSC PKG_CONFIG_PATH=/usr/local/lib/pkgconfig; make; make install

I then disabled any package update by inserting the following line in /etc/yum.conf:

exclude=pcsc-lite-* ccid-*

and modified /etc/init.d/pcscd to reflect the installation directory /usr/local/sbin.

1)
Idea based on a Scientific Linux mail archive message and the webpage http://selinuxproject.org/page/AdminDocs.
linux/install/centos-latitude5400.txt · Last modified: 2016/02/19 07:09 by Ralf Hoppe